Name:           nodejs-assertion-error
Version:        1.1.0
Release:        %mkrel 3
Summary:        Error constructor for test and validation frameworks
Group:          System/Libraries
License:        MIT
URL:            https://github.com/chaijs/assertion-error
Source0:        https://github.com/chaijs/assertion-error/archive/%{version}/assertion-error-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%description
Error constructor for test and validation frameworks that implements
standardized AssertionError specification.


%prep
%autosetup -n assertion-error-%{version}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/assertion-error
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/assertion-error
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md History.md
%{nodejs_sitelib}/assertion-error


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1502389
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1280155
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1247056
- new version: 1.1.0

* Wed Aug 03 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1044342
- add Group
- imported package nodejs-assertion-error


* Tue Jun  7 2016 Tom Hughes <tom@compton.nu> - 1.0.2-1
- Update to 1.0.2 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar  6 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Update to 1.0.1 upstream release
- Switch to using github as source so we get tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
